package cn.estsh.i3plus.core.api.controller;

import cn.estsh.i3plus.pojo.base.bean.BaseResultBean;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

//CommonEnumUtil
@FeignClient(name="core",path="/cloud")
public interface DemoCloudInterface {

    @RequestMapping(value="/test-get",method= RequestMethod.GET)
    @ApiOperation(value="测试分布式调用GET",notes = "测试分布式调用GET")
    BaseResultBean testGet(@RequestParam("test") String test);

    @RequestMapping(value="/test-post",method= RequestMethod.POST)
    @ApiOperation(value="测试分布式调用POST",notes = "测试分布式调用POST")
    BaseResultBean testPost(@RequestParam("test") String test);


    @RequestMapping(value="/test-put",method= RequestMethod.PUT)
    @ApiOperation(value="测试分布式调用PUT",notes = "测试分布式调用PUT")
    BaseResultBean testPut(@RequestParam("test") String test);


    @RequestMapping(value="/test-delete",method= RequestMethod.DELETE)
    @ApiOperation(value="测试分布式调用DELETE",notes = "测试分布式调用DELETE")
    BaseResultBean testDelete(@RequestParam("test") String test);
}
